apiVersion: apps/v1
kind: Deployment
metadata:
  name: notification-service
spec:
  replicas: 2
  template:
    spec:
      containers:
      - name: notification-service
        resources:
          requests:
            memory: "512Mi"
            cpu: "512m"
          limits:
            memory: "2048Mi"
            cpu: "2048m"
